Retrieve an exchange order by cexOrderId
curl --request GET \
--url https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId} \
--header 'x-auth-token: <api-key>'import requests
url = "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cexOrderId": 2,
"apiKey": "<string>",
"lastWebhookSentAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "0165359005113074501885",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerName": "John Doe",
"offer": {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionType": "ONRAMP",
"rate": 0.32,
"networkId": "TRC20",
"token": "USDT",
"tokenAmount": 120.5,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiatSymbol": "NGN",
"fiatAmount": 120.5,
"partnerDisplayName": "John Doe"
},
"escrowAddress": 1.2869144918162796e+48,
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"paymentMethod": {},
"buyerPaymentMethod": {},
"customerWallet": {
"walletAddress": 0,
"networkId": "bsc_testnet",
"walletName": "My Trust Wallet"
},
"tokenAddress": 0,
"status": "INITIATED",
"createdAt": "2023-11-07T05:31:56Z",
"initiatedAt": "2023-11-07T05:31:56Z",
"depositedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"lockHash": "null",
"confirmationHash": "null",
"cancellationHash": "null"
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}Orders
Get Order by 3rd-party Order ID
GET
/
exchange
/
api
/
business
/
orders
/
{cexOrderId}
Retrieve an exchange order by cexOrderId
curl --request GET \
--url https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId} \
--header 'x-auth-token: <api-key>'import requests
url = "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.dev.onboardpay.co/exchange/api/business/orders/{cexOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cexOrderId": 2,
"apiKey": "<string>",
"lastWebhookSentAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "0165359005113074501885",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerName": "John Doe",
"offer": {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionType": "ONRAMP",
"rate": 0.32,
"networkId": "TRC20",
"token": "USDT",
"tokenAmount": 120.5,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiatSymbol": "NGN",
"fiatAmount": 120.5,
"partnerDisplayName": "John Doe"
},
"escrowAddress": 1.2869144918162796e+48,
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"paymentMethod": {},
"buyerPaymentMethod": {},
"customerWallet": {
"walletAddress": 0,
"networkId": "bsc_testnet",
"walletName": "My Trust Wallet"
},
"tokenAddress": 0,
"status": "INITIATED",
"createdAt": "2023-11-07T05:31:56Z",
"initiatedAt": "2023-11-07T05:31:56Z",
"depositedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"lockHash": "null",
"confirmationHash": "null",
"cancellationHash": "null"
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}Retrieves detailed information about a specific order using the ID provided by the 3rd party application when initiating the trade.
Authorizations
Path Parameters
Response
Success
Required range:
x >= 1Timestamp field.
Example:
"0165359005113074501885"
Example:
"John Doe"
Show child attributes
Show child attributes
Escrow address
Example:
1.2869144918162796e+48
Example:
"BANK_TRANSFER_NIGERIA"
Show child attributes
Show child attributes
Example:
0
Available options:
INITIATED, DEPOSITED, CONFIRMED, COMPLETED, PENDING, CANCELLED, IN_DISPUTE, AWAITING_ACCEPTANCE Timestamp field.
Timestamp field.
Timestamp field.
Timestamp field.
Timestamp field.
Timestamp field.